Main Page | Namespace List | Class Hierarchy | Alphabetical List | Compound List | File List | Namespace Members | Compound Members | File Members

# Lamp::StringTokenizer Class Reference

ストリングトークナイザ More...

`#include <StringTokenizer.h>`

List of all members.

## Public Member Functions
| StringTokenizer ()
| コンストラクタ
| StringTokenizer (const String &target)
| コンストラクタ
| StringTokenizer (const char *target)
| コンストラクタ
| StringTokenizer (const String &target, const String &delimiter)
| コンストラクタ
| StringTokenizer (const char *target, const String &delimiter)
| コンストラクタ
| StringTokenizer (const String &target, const String &delimiter, bool delimiterOutput)
| コンストラクタ
| StringTokenizer (const char *target, const String &delimiter, bool delimiterOutput)
| コンストラクタ
void | initialize (const char *target, const String &delimiter=defaultDelimiter, bool delimiterOutput=false)
| 初期化
void | initialize (const String &target, const String &delimiter=defaultDelimiter, bool delimiterOutput=false)
| 初期化
virtual | ~StringTokenizer ()
| デストラクタ
virtual bool | hasMoreTokens ()
| トークンがまだあるかどうか
virtual String | getNextToken ()
| 次のトークン取得
virtual int | getTokenOffset () const
| トークンオフセットの取得
virtual String | getNowToken () const
| 現在のトークン取得
virtual String | getPreviousToken () const
| 一つ前のトークン取得

## Detailed Description

ストリングトークナイザ

Definition at line 34 of file StringTokenizer.h.

## Constructor & Destructor Documentation

Lamp::StringTokenizer::StringTokenizer | ( |  | ) | `[explicit]`

| コンストラクタ このコンストラクタを使用した場合、initialize()メソッドを呼ぶ必要があります。 Definition at line 36 of file StringTokenizer.cpp. References NULL.

Lamp::StringTokenizer::StringTokenizer | ( | const String & | target | ) | `[inline, explicit]`

  | コンストラクタ Parameters:
  target | 解析される文字列
Definition at line 47 of file StringTokenizer.h. References initialize().

Lamp::StringTokenizer::StringTokenizer | ( | const char * | target | ) | `[inline, explicit]`

  | コンストラクタ このコンストラクタを使用した場合はStringTokenizerが破棄されるまで 解析されるデータを変更しないで下さい。 Parameters:
  target | 解析されるデータ
Definition at line 58 of file StringTokenizer.h. References initialize().

Lamp::StringTokenizer::StringTokenizer | ( | const String & | target,
|  | const String & | delimiter
| ) | `[inline]`

  | コンストラクタ Parameters:
  target | 解析される文字列
  delimiter | 区切り文字
Definition at line 67 of file StringTokenizer.h. References initialize().

Lamp::StringTokenizer::StringTokenizer | ( | const char * | target,
|  | const String & | delimiter
| ) | `[inline]`

  | コンストラクタ このコンストラクタを使用した場合はStringTokenizerが破棄されるまで 解析されるデータを変更しないで下さい。 Parameters:
  target | 解析されるデータ
  delimiter | 区切り文字
Definition at line 79 of file StringTokenizer.h. References initialize().

Lamp::StringTokenizer::StringTokenizer | ( | const String & | target,
|  | const String & | delimiter,
|  | bool | delimiterOutput
| ) | `[inline]`

  | コンストラクタ Parameters:
  target | 解析される文字列
  delimiter | 区切り文字
  delimiterOutput | trueなら区切り文字をトークンとして出力
Definition at line 89 of file StringTokenizer.h. References initialize().

Lamp::StringTokenizer::StringTokenizer | ( | const char * | target,
|  | const String & | delimiter,
|  | bool | delimiterOutput
| ) | `[inline]`

  | コンストラクタ このコンストラクタを使用した場合はStringTokenizerが破棄されるまで 解析されるデータを変更しないで下さい。 Parameters:
  target | 解析されるデータ
  delimiter | 区切り文字
  delimiterOutput | trueなら区切り文字をトークンとして出力
Definition at line 103 of file StringTokenizer.h. References initialize().

## Member Function Documentation

String Lamp::StringTokenizer::getNextToken | ( |  | ) | `[virtual]`

| 次のトークン取得 Returns: 次のトークン Definition at line 76 of file StringTokenizer.cpp. References Assert, Lamp::String::getBytes(), StdStrcspn, StdStrinc, and StdStrncpy. Referenced by Lamp::Sound::applyCommentOption(), Lamp::SceneLogicCheckFilter::filter(), Lamp::SceneFilter::filter(), Lamp::ChangePicturePathFilter::filter(), Lamp::CalculateBoundingSphereFilter::filter(), Lamp::CalculateBoundingBoxFilter::filter(), Lamp::BuildIndexedTriangleFilter::filter(), Lamp::SoundList::loadSound(), and Lamp::StreamTokenizer::nextToken().

virtual String Lamp::StringTokenizer::getNowToken | ( |  | ) | const`[inline, virtual]`

| 現在のトークン取得 Returns: 現在のトークン Definition at line 155 of file StringTokenizer.h.

virtual String Lamp::StringTokenizer::getPreviousToken | ( |  | ) | const`[inline, virtual]`

| 一つ前のトークン取得 Returns: 一つ前のトークン Definition at line 161 of file StringTokenizer.h.

virtual int Lamp::StringTokenizer::getTokenOffset | ( |  | ) | const`[inline, virtual]`

| トークンオフセットの取得 Returns: トークンオフセット Definition at line 149 of file StringTokenizer.h.

bool Lamp::StringTokenizer::hasMoreTokens | ( |  | ) | `[virtual]`

| トークンがまだあるかどうか Returns: trueならトークンがある。 Definition at line 63 of file StringTokenizer.cpp. References Lamp::String::getBytes(), NULL, StdStrcspn, and StdStrinc. Referenced by Lamp::Sound::applyCommentOption(), Lamp::SceneLogicCheckFilter::filter(), Lamp::SceneFilter::filter(), Lamp::ChangePicturePathFilter::filter(), Lamp::CalculateBoundingSphereFilter::filter(), Lamp::CalculateBoundingBoxFilter::filter(), Lamp::BuildIndexedTriangleFilter::filter(), Lamp::SoundList::loadSound(), and Lamp::StreamTokenizer::nextToken().

void Lamp::StringTokenizer::initialize | ( | const String & | target,
|  | const String & | delimiter = defaultDelimiter,
|  | bool | delimiterOutput = false
| ) |

  | 初期化 Parameters:
  target | 解析される文字列
  delimiter | 区切り文字
  delimiterOutput | trueなら区切り文字をトークンとして出力
Definition at line 52 of file StringTokenizer.cpp. References initialize().

void Lamp::StringTokenizer::initialize | ( | const char * | target,
|  | const String & | delimiter = defaultDelimiter,
|  | bool | delimiterOutput = false
| ) |

  | 初期化 Parameters:
  target | 解析される文字列
  delimiter | 区切り文字
  delimiterOutput | trueなら区切り文字をトークンとして出力
Definition at line 41 of file StringTokenizer.cpp. Referenced by initialize(), and StringTokenizer().

The documentation for this class was generated from the following files:

- StringTokenizer.h
- StringTokenizer.cpp